Page MenuHomePhabricator

Eastern arabic numerals (Hindi numerals) shown on several Arabic Wikimedia projects
Open, Needs TriagePublic

Description

Hi,

It seems that previous T267614: Appearence of the eastern arabic numerals on Arabic wikimedia projects was resolved only for the appearance in Wikipedia Arabic but not on the other projects.

Actually, I detect Hindi numeral appearance in (Arabic activated in interface)
1- Commons
2- WikiSpecies
3- Meta
4- Wiktionnaire

I'm sure that the whole of the Arabic project is affected
it’s clear that the MediaWiki update is the cause.

So we wish to activate permanently the Arabic numbers (1, 2, 3) on each update.
To not have to request on each update.

The current version of MediaWiki software Is: 1.36.0-wmf.16 (rMW60e0a59175cb);

To see what I mean please activate Arabic on the interface and open these pages.

See this page : https://commons.wikimedia.org/w/index.php?title=%D8%A7%D9%84%D8%B5%D9%81%D8%AD%D8%A9_%D8%A7%D9%84%D8%B1%D8%A6%D9%8A%D8%B3%D9%8A%D8%A9&action=history
and this : https://commons.wikimedia.org/wiki/%D8%A7%D9%84%D8%B5%D9%81%D8%AD%D8%A9_%D8%A7%D9%84%D8%B1%D8%A6%D9%8A%D8%B3%D9%8A%D8%A9

Thank you.


Event Timeline

Restricted Application added subscribers: alaa, Aklapper. · View Herald TranscriptNov 24 2020, 2:16 PM
alaa removed cscott as the assignee of this task.Nov 24 2020, 2:29 PM
alaa added subscribers: Meno25, cscott.
alaa added a comment.EditedNov 24 2020, 2:35 PM

1 - Numbers must be non-Hindi Appearance of the eastern arabic numerals on Arabic wikimedia Commons but Western Arabic

Per this (@Meno25 comment) this task not easily actionable now, as changing wgTranslateNumerals value to false on Commons or WikiSpecies will cause MediaWiki to stop translating all languages (Arabic, Hindi, etc.), which will inconvenience other communities. Even removing $digitTransformTable table from MessagesAr.php will lead to problems on Arabic Websites (outside Wikimedia) that use Eastern Arabic numerals.

Aklapper changed the task status from Open to Stalled.Nov 24 2020, 2:37 PM
Aklapper removed a subscriber: cscott.

Hi @Bachounda! Thanks for taking the time to report this! Please follow https://www.mediawiki.org/wiki/How_to_report_a_bug and provide:

  • a clear and complete list of exact steps to reproduce the situation, step by step, so that nobody needs to guess or interpret how you performed each step,
  • what happens after performing these steps to reproduce,
  • what exactly you expected to happen instead,
  • a full link to a web address where the issue can be seen,
  • and create separate tasks for separate problems.

You can edit the task description by clicking Edit Task. Ideally, a good description should allow any other person to follow these steps (without having to interpret steps) and see the same results. Problems that others can reproduce can get fixed faster. Thanks.

alaa added a comment.Nov 24 2020, 2:44 PM

2 - The letters are not at all as they should be on the user menu bar
3 - T he main page is badly arranged

It's MonoBook skin "issues"? as it work well on Vector (Image below) and other skins

Bachounda renamed this task from Wikimedia Commons in Arabic has 3 problems to Appearence of the eastern arabic numerals on Arabic wikimedia projects +.Nov 25 2020, 8:08 PM
Bachounda updated the task description. (Show Details)

Hi @Bachounda! Thanks for taking the time to report this! Please follow https://www.mediawiki.org/wiki/How_to_report_a_bug and provide:

  • a clear and complete list of exact steps to reproduce the situation, step by step, so that nobody needs to guess or interpret how you performed each step,
  • what happens after performing these steps to reproduce,
  • what exactly you expected to happen instead,
  • a full link to a web address where the issue can be seen,
  • and create separate tasks for separate problems.

You can edit the task description by clicking Edit Task. Ideally, a good description should allow any other person to follow these steps (without having to interpret steps) and see the same results. Problems that others can reproduce can get fixed faster. Thanks.

Hello @Aklapper thanks for precious advisements

after some research and the help of friends

I have solved one problem and looked for a way to solve another one.
but the main problem is the Hindi numbers,
I am taking corrections to this task I hope it is correct to start studying an isue to that

bests

Bachounda updated the task description. (Show Details)Nov 25 2020, 8:18 PM
Bachounda updated the task description. (Show Details)Nov 25 2020, 8:22 PM
Aklapper renamed this task from Appearence of the eastern arabic numerals on Arabic wikimedia projects + to Eastern arabic numerals (Hindi numerals) shown on several Arabic Wikimedia projects.Nov 27 2020, 5:43 PM
Aklapper changed the task status from Stalled to Open.
Aklapper updated the task description. (Show Details)

Hello, for Monobook skin , the problem only appears on browsers that use the WebKit browser engine . (chrome, edge, safari) (bug 6148 on webkit.org), but it's possible fix this problem by the following style:

#p-personal * ,
#p-cactions * {
	unicode-bidi: isolate;
}